# Gamescope — Valve's micro-compositor for Steam gaming sessions.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.profiles.gaming.gamescope;
in {
  options.profiles.gaming.gamescope.enable = mkEnableOption "enable Gamescope session";

  config = mkIf cfg.enable {
    home.packages = [pkgs.gamescope];
  };
}
